Results 1 to 2 of 2

Thread: Ole Objects

  1. #1
    100 Club
    Join Date
    2002-10
    Posts
    154
    Login to Give a bone
    0

    Default Ole Objects

    I am trying to copy the Ole objects in a file and rename the path that is in the drawing. I can't seam to find the path location in the Ole Object and there is not much out there on the web about this. I was doing the same with raster images in the same loop. I have managed to do this with the raster images. here is what I have so far....

    Code:
           For Each mObject As Autodesk.AutoCAD.Interop.Common.AcadObject In mDoc.ModelSpace
                Try
                    Select Case mObject.ObjectName
                        Case "AcDbOle2Frame"
                            Dim mOle As Autodesk.AutoCAD.Interop.Common.IAcadOle = mObject
                            'XXXXXXXXXXX need to finish adding here
                        Case "AcDbRasterImage"
                            Dim mRaster As Autodesk.AutoCAD.Interop.Common.AcadRasterImage = mObject
                            If Not HaveCopiedFile(mRaster.ImageFile) Then
                                System.IO.File.Copy(mRaster.ImageFile, _
                                           mFile.DestinationPath & myFileName(mRaster.ImageFile))
                                CopiedFiles.Add(myFileName(mRaster.ImageFile))
                            End If
                            mRaster.ImageFile = mFile.DestinationPath & myFileName(mRaster.ImageFile)
                    End Select
                Catch ex As Exception
                    MsgBox("errored in Model search")
                End Try
            Next

  2. #2
    Active Member
    Join Date
    2009-08
    Posts
    93
    Login to Give a bone
    0

    Default Re: Ole Objects

    The Ole2Frame.LinkPath property

Similar Threads

  1. Maintain references off all referenced objects and items while splitting objects
    By Wish List System in forum Revit Structure - Wish List
    Replies: 2
    Last Post: 2014-01-12, 04:44 PM
  2. Ability to snap to all objects in a 3D view, not just objects on the current reference plane
    By revit.wishlist1942 in forum Revit Architecture - Wish List
    Replies: 0
    Last Post: 2010-03-12, 06:09 AM
  3. Pin Position shold lock pinned objects to prevent flexing when adjoining objects change
    By revit.wishlist1942 in forum Revit Architecture - Wish List
    Replies: 3
    Last Post: 2009-03-29, 03:58 PM
  4. Moving Text Objects relative to base point as other Objects are moved / scaled
    By William Troeak in forum Dynamic Blocks - Technical
    Replies: 7
    Last Post: 2007-02-06, 02:35 PM
  5. Replies: 7
    Last Post: 2006-05-24, 12:46 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •